Package org.apache.sling.scripting.sightly.impl.compiler

## Class Patterns

- java.lang.Object
- - org.apache.sling.scripting.sightly.impl.compiler.Patterns

    public final class Patterns
    extends Object

The `Patterns` class provides various static methods that implement commonly used stream processing commands.

### Constructor Summary

Constructors
`Patterns()`

### Method Summary

All Methods Static Methods Concrete Methods
`static void` `beginStreamIgnore​(PushStream stream)` Inserts a sequence of commands that will ignore the rest of the stream until the end stream sequence is inserted
`static void` `endStreamIgnore​(PushStream stream)` Inserts a sequence of commands that cancels stream ignore

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### Patterns

    public Patterns()

### Method Detail

#### beginStreamIgnore

    public static void beginStreamIgnore​(PushStream stream)

Inserts a sequence of commands that will ignore the rest of the stream until the end stream sequence is inserted

Parameters:
  `stream` - - the stream

#### endStreamIgnore

    public static void endStreamIgnore​(PushStream stream)

Inserts a sequence of commands that cancels stream ignore

Parameters:
  `stream` - - the input stream